import Vue from 'vue'
import App from './App'
import store from './store' // store
import plugins from './plugins' // plugins
import './permission' // permission
Vue.use(plugins)

Vue.config.productionTip = false
Vue.prototype.$store = store

import uView from "uview-ui";
Vue.use(uView);

// 自定义包含导航栏容器
import NavigationGeneral from "@/components/NavigationGeneral";
import ColorItem from "@/components/ColorItem";
import BottomBtn from "@/components/BottomBtn";

Vue.component("NavigationGeneral", NavigationGeneral);
Vue.component("ColorItem", ColorItem);
Vue.component("BottomBtn", BottomBtn);

App.mpType = 'app'

const app = new Vue({
	...App
})

app.$mount()